<?php
#   SGT - The SGT for Internet - http://sgt.eti.br
#   Copyright (c) 2016-2018, Jean Azevedo. All rights reserved.

#   This file is part of SGT.

#   SGT is free software: you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation, either version 3 of the License, or
#   any later version.

#   SGT is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.

#   You should have received a copy of the GNU General Public License
#   along with Foobar.  If not, see <http://www.gnu.org/licenses/>.

    include("../seguranca_adm.php");
    protegePagina();
    include "../conectar.php";
    include "../log_.php";
    $sistema = $_POST['sistema'];
    $select=$pdo_sgt->prepare("SELECT * FROM tb_sistemas WHERE sistema=:sistema");
    $select->bindValue(":sistema",$sistema);
    $select->execute();
    $array = $select->fetch(PDO::FETCH_ASSOC);
    if($array['sistema'] == $sistema){
        echo"<script language='javascript' type='text/javascript'>
            alert('Este Sistema já existe!');
            window.history.go(-1)>Volta;
        </script>";
        die();
    }
    else{
        $query_ = "INSERT INTO tb_sistemas (sistema) VALUES (:sistema)";
        $query=$pdo_sgt->prepare("$query_");
        $query->bindValue(":sistema",$sistema);
        $query->execute();
        $mensagem = "Dados inseridos na tabela: tb_sistemas - Para o campo: sistema - Com o seguinte valor: $sistema.";
        salvaLog($mensagem);
        echo"<script language='javascript' type='text/javascript'>
            window.location.href='list_sis.php';
        </script>";
    }	
?>